Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IcePack::ServerDescriptor`

## Overview

    class ServerDescriptor
        extends
    	ComponentDescriptor

An Ice server descriptor.

### Derived Classes and Interfaces

CppIceBoxDescriptor, JavaServerDescriptor

### Used By

`Admin::addServer`, `Admin::getServerDescriptor`, `Admin::updateServer`, ServerDescriptorSeq

### Data Member Index

activation

  The server initial activation mode.

application

  The name of the application this server belongs to.

envs

  The server environment variables.

exe

  The path of the server executable.

node

  The IcePack node on which the server is deployed.

options

  The command line options to pass to the server executable.

pwd

  The path to the server working directory.

## `activation`

    ServerActivation activation;

The server initial activation mode.

## `application`

    string application;

The name of the application this server belongs to.

## `envs`

    ::Ice::StringSeq envs;

The server environment variables.

## `exe`

    string exe;

The path of the server executable.

## `node`

    string node;

The IcePack node on which the server is deployed.

## `options`

    ::Ice::StringSeq options;

The command line options to pass to the server executable.

## `pwd`

    string pwd;

The path to the server working directory.

<<< Previous | Home | Next >>>
`IcePack::ServerActivation` | Up | `IcePack::ServerNotExistException`